/**
 * DevExtreme (core/config.js)
 * Version: 17.2.0 (build 17217)
 * Build date: Sat Aug 05 2017
 *
 * Copyright (c) 2012 - 2017 Developer Express Inc. ALL RIGHTS RESERVED
 * Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
 */
"use strict";
var extendUtils = require("./utils/extend");
var config = {
    rtlEnabled: false,
    defaultCurrency: "USD",
    designMode: false,
    serverDecimalSeparator: ".",
    forceIsoDateParsing: true,
    wrapActionsBeforeExecute: false,
    useJQueryRenderer: true
};
var configMethod = function() {
    if (!arguments.length) {
        return config
    }
    extendUtils.extend(config, arguments[0])
};
if (window && window.DevExpress && window.DevExpress.config) {
    configMethod(window.DevExpress.config)
}
module.exports = configMethod;
module.exports.default = module.exports;
