/**
 * DevExtreme (integration/jquery/themes.js)
 * Version: 17.2.0 (build 17217)
 * Build date: Sat Aug 05 2017
 *
 * Copyright (c) 2012 - 2017 Developer Express Inc. ALL RIGHTS RESERVED
 * Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
 */
"use strict";
var jQuery = require("jquery"),
    holdReady = jQuery.holdReady || jQuery.fn.holdReady,
    themeLoadedCallback = require("../../ui/themes_callbacks");
if (!themeLoadedCallback.fired()) {
    holdReady(true);
    var themeLoadedHandler = function() {
        holdReady(false);
        themeLoadedCallback.remove(themeLoadedHandler)
    };
    themeLoadedCallback.add(themeLoadedHandler)
}
